<?php

namespace Drupal\Tests\eme\Traits;

use Drush\TestTraits\DrushTestTrait;
use PHPUnit\Framework\ExpectationFailedException;

/**
 * Drush specific assertions.
 */
trait EmeTestDrushAssertionsTrait {

  use DrushTestTrait;

  /**
   * Checks that migrate status output has all the lines.
   *
   * @param string|string[] $expected_lines
   *   The expected lines in drush output.
   */
  protected function assertDrushOutputHasAllLines($expected_lines) {
    $actual_output = $this->getSimplifiedOutput();

    try {
      foreach ((array) $expected_lines as $expected_line) {
        $this->assertStringContainsString($this->simplifyOutput($expected_line), $actual_output);
      }
    }
    catch (ExpectationFailedException $e) {
      $this->assertEquals(implode("\n", $expected_lines), $this->getOutput());
    }
  }

}
